Subject: Re: [2/2] powerpc: Update of_remove_property() call sites to remove null checking

From: Michael Ellerman <[email-masked]>
Date: Thu, 5 May 2016 08:40:25 +1000 (AEST)

On Thu, 2016-28-04 at 05:34:55 UTC, Suraj Jitindar Singh wrote:
> After obtaining a property from of_find_property() and before calling
> of_remove_property() most code checks to ensure that the property
> returned from of_find_property() is not null. The previous patch
> moved this check to the start of the function of_remove_property() in
> order to avoid the case where this check isn't done and a null value is
> passed. This ensures the check is always conducted before taking locks
> and attempting to remove the property. Thus it is no longer necessary
> to perform a check for null values before invoking of_remove_property().
> 
> Update of_remove_property() call sites in order to remove redundant
> checking for null property value as check is now performed within the
> of_remove_property function().
> 
> Signed-off-by: Suraj Jitindar Singh <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/676669b666574a23f7bd62870c

cheers